<?php

if (!function_exists('lookilite_customize_panel_function')) {

	function lookilite_customize_panel_function() {
		
		$theme_panel = array ( 

			/* Support section */ 
	
			array(
			
				'title' => esc_html__( 'Upgrade to Looki Premium','looki-lite'),
				'id' => 'looki-lite-customize-info',
				'type' => 'looki-lite-customize-info',
				'section' => 'looki-lite-customize-info',
				'priority' => '08',
	
			),

			/* FULL IMAGE BACKGROUND */ 

			array(
				
				"label" => __( "Full Image Background",'looki-lite'),
				"description" => __( "Do you want to set a full background image? (After the upload, check 'Fixed', from the Background Attachment section)",'looki-lite'),
				"id" => "lookilite_full_image_background",
				"type" => "select",
				"section" => "background_image",
				"options" => array (
				   "off" => __( "No",'looki-lite'),
				   "on" => __( "Yes",'looki-lite'),
				),
				
				"std" => "off",
			
			),

			/* START GENERAL SECTION */ 

			array( 
				
				"title" => __( "General",'looki-lite'),
				"description" => __( "General",'looki-lite'),
				"type" => "panel",
				"id" => "general_panel",
				"priority" => "10",
				
			),

			array( 

				"title" => __( "Load system",'looki-lite'),
				"type" => "section",
				"id" => "loadsystem_section",
				"panel" => "general_panel",
				"priority" => "10",

			),

			array(
				
				"label" => __( "Choose a load system",'looki-lite'),
				"description" => __( "Select a load system, if you've some problems with the theme (for example a blank page).",'looki-lite'),
				"id" => "lookilite_skins",
				"type" => "select",
				"section" => "loadsystem_section",
				"options" => array (
				   "mode_a" => __( "Mode a",'looki-lite'),
				   "mode_b" => __( "Mode b",'looki-lite'),
				),
				
				"std" => "mode_a",
			
			),

			/* SKINS */ 

			array( 

				"title" => __( "Color Scheme",'looki-lite'),
				"type" => "section",
				"panel" => "general_panel",
				"priority" => "11",
				"id" => "colorscheme_section",

			),

			array(
				
				"label" => __( "Predefined Color Schemes",'looki-lite'),
				"description" => __( "Choose your Color Scheme",'looki-lite'),
				"id" => "lookilite_skin",
				"type" => "select",
				"section" => "colorscheme_section",
				"options" => array (
				   "turquoise" => __( "Turquoise",'looki-lite'),
				   "orange" => __( "Orange",'looki-lite'),
				   "blue" => __( "Blue",'looki-lite'),
				   "red" => __( "Red",'looki-lite'),
				   "purple" => __( "Purple",'looki-lite'),
				   "yellow" => __( "Yellow",'looki-lite'),
				   "green" => __( "Green",'looki-lite'),
				   "light_turquoise" => __( "White & Turquoise",'looki-lite'),
				   "light_orange" => __( "White & Orange",'looki-lite'),
				   "light_blue" => __( "White & Blue",'looki-lite'),
				   "light_red" => __( "White & Red",'looki-lite'),
				   "light_purple" => __( "White & Purple",'looki-lite'),
				   "light_yellow" => __( "White & Yellow",'looki-lite'),
				   "light_green" => __( "White & Green",'looki-lite'),
				),
				
				"std" => "turquoise",
			
			),

			array( 

				"title" => __( "Styles",'looki-lite'),
				"type" => "section",
				"id" => "styles_section",
				"panel" => "general_panel",
				"priority" => "12",

			),

			array( 

				"label" => __( "Custom css",'looki-lite'),
				"description" => __( "Insert your custom css code.",'looki-lite'),
				"id" => "lookilite_custom_css_code",
				"type" => "custom_css",
				"section" => "styles_section",
				"std" => "",

			),

			/* LOGIN AREA SECTION */ 

			array( 

				"title" => __( "Login Area",'looki-lite'),
				"type" => "section",
				"id" => "login_area_section",
				"panel" => "general_panel",
				"priority" => "13",

			),

			array( 

				"label" => __( "Custom Logo",'looki-lite'),
				"description" => __( "Upload your custom logo, for the admin area.( Max 320px as width )",'looki-lite'),
				"id" => "lookilite_login_logo",
				"type" => "upload",
				"section" => "login_area_section",
				"std" => "",

			),


			array( 

				"label" => __( "Height",'looki-lite'),
				"description" => __( "Insert the height of your custom logo, without 'px' (for example 550 and not 550px).",'looki-lite'),
				"id" => "lookilite_login_logo_height",
				"type" => "text",
				"section" => "login_area_section",
				"std" => "550",

			),

			/* HEADER AREA SECTION */ 

			array( 

				"title" => __( "Header",'looki-lite'),
				"type" => "section",
				"id" => "header_section",
				"panel" => "general_panel",
				"priority" => "14",

			),

			array( 

				"label" => __( "Custom Logo",'looki-lite'),
				"description" => __( "Upload your custom logo",'looki-lite'),
				"id" => "lookilite_custom_logo",
				"type" => "upload",
				"section" => "header_section",
				"std" => "",

			),

			/* FOOTER AREA SECTION */ 

			array( 

				"title" => __( "Footer",'looki-lite'),
				"type" => "section",
				"id" => "footer_section",
				"panel" => "general_panel",
				"priority" => "15",

			),

			array( 

				"label" => __( "Copyright Text",'looki-lite'),
				"description" => __( "Insert your copyright text.",'looki-lite'),
				"id" => "lookilite_copyright_text",
				"type" => "textarea",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Facebook Url",'looki-lite'),
				"description" => __( "Insert Facebook Url (empty if you want to hide the button)",'looki-lite'),
				"id" => "lookilite_footer_facebook_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Twitter Url",'looki-lite'),
				"description" => __( "Insert Twitter Url (empty if you want to hide the button)",'looki-lite'),
				"id" => "lookilite_footer_twitter_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Flickr Url",'looki-lite'),
				"description" => __( "Insert Flickr Url (empty if you want to hide the button)",'looki-lite'),
				"id" => "lookilite_footer_flickr_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Google Url",'looki-lite'),
				"description" => __( "Insert Google Url (empty if you want to hide the button)",'looki-lite'),
				"id" => "lookilite_footer_google_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Linkedin Url",'looki-lite'),
				"description" => __( "Insert Linkedin Url (empty if you want to hide the button)",'looki-lite'),
				"id" => "lookilite_footer_linkedin_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Pinterest Url",'looki-lite'),
				"description" => __( "Insert Pinterest Url (empty if you want to hide the button)",'looki-lite'),
				"id" => "lookilite_footer_pinterest_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Tumblr Url",'looki-lite'),
				"description" => __( "Insert Tumblr Url (empty if you want to hide the button)",'looki-lite'),
				"id" => "lookilite_footer_tumblr_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Youtube Url",'looki-lite'),
				"description" => __( "Insert Youtube Url (empty if you want to hide the button)",'looki-lite'),
				"id" => "lookilite_footer_youtube_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Skype Url",'looki-lite'),
				"description" => __( "Insert Skype ID (empty if you want to hide the button)",'looki-lite'),
				"id" => "lookilite_footer_skype_button",
				"type" => "button",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Instagram Url",'looki-lite'),
				"description" => __( "Insert Instagram Url (empty if you want to hide the button)",'looki-lite'),
				"id" => "lookilite_footer_instagram_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Github Url",'looki-lite'),
				"description" => __( "Insert Github Url (empty if you want to hide the button)",'looki-lite'),
				"id" => "lookilite_footer_github_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Email Address",'looki-lite'),
				"description" => __( "Insert Email Address (empty if you want to hide the button)",'looki-lite'),
				"id" => "lookilite_footer_email_button",
				"type" => "button",
				"section" => "footer_section",
				"std" => "",

			),

			array(
				
				"label" => __( "Feed Rss Button",'looki-lite'),
				"description" => __( "Do you want to display the Feed Rss button?",'looki-lite'),
				"id" => "lookilite_footer_rss_button",
				"type" => "select",
				"section" => "footer_section",
				"options" => array (
				   "off" => __( "No",'looki-lite'),
				   "on" => __( "Yes",'looki-lite'),
				),
				
				"std" => "off",
			
			),

			/* TYPOGRAPHY SECTION */ 

			array( 
				
				"title" => __( "Typography",'looki-lite'),
				"description" => __( "Typography",'looki-lite'),
				"type" => "panel",
				"id" => "typography_panel",
				"priority" => "11",
				
			),

			/* MENU */ 

			array( 

				"title" => __( "Menu",'looki-lite'),
				"type" => "section",
				"id" => "menu_section",
				"panel" => "typography_panel",
				"priority" => "10",

			),

			array( 

				"label" => __( "Font size",'looki-lite'),
				"description" => __( "Insert a size, for menu font (For example, 14px) ",'looki-lite'),
				"id" => "lookilite_menu_font_size",
				"type" => "text",
				"section" => "menu_section",
				"std" => "14px",

			),

			/* CONTENT */ 

			array( 

				"title" => __( "Content",'looki-lite'),
				"type" => "section",
				"id" => "content_section",
				"panel" => "typography_panel",
				"priority" => "12",

			),

			array( 

				"label" => __( "Font size",'looki-lite'),
				"description" => __( "Insert a size, for content font (For example, 14px) ",'looki-lite'),
				"id" => "lookilite_content_font_size",
				"type" => "text",
				"section" => "content_section",
				"std" => "14px",

			),


			/* HEADLINES */ 

			array( 

				"title" => __( "Headlines",'looki-lite'),
				"type" => "section",
				"id" => "headlines_section",
				"panel" => "typography_panel",
				"priority" => "13",

			),

			array( 

				"label" => __( "H1 headline",'looki-lite'),
				"description" => __( "Insert a size, for for H1 elements (For example, 24px) ",'looki-lite'),
				"id" => "lookilite_h1_font_size",
				"type" => "text",
				"section" => "headlines_section",
				"std" => "24px",

			),

			array( 

				"label" => __( "H2 headline",'looki-lite'),
				"description" => __( "Insert a size, for for H2 elements (For example, 22px) ",'looki-lite'),
				"id" => "lookilite_h2_font_size",
				"type" => "text",
				"section" => "headlines_section",
				"std" => "22px",

			),

			array( 

				"label" => __( "H3 headline",'looki-lite'),
				"description" => __( "Insert a size, for for H3 elements (For example, 20px) ",'looki-lite'),
				"id" => "lookilite_h3_font_size",
				"type" => "text",
				"section" => "headlines_section",
				"std" => "20px",

			),

			array( 

				"label" => __( "H4 headline",'looki-lite'),
				"description" => __( "Insert a size, for for H4 elements (For example, 18px) ",'looki-lite'),
				"id" => "lookilite_h4_font_size",
				"type" => "text",
				"section" => "headlines_section",
				"std" => "18px",

			),

			array( 

				"label" => __( "H5 headline",'looki-lite'),
				"description" => __( "Insert a size, for for H5 elements (For example, 16px) ",'looki-lite'),
				"id" => "lookilite_h5_font_size",
				"type" => "text",
				"section" => "headlines_section",
				"std" => "16px",

			),

			array( 

				"label" => __( "H6 headline",'looki-lite'),
				"description" => __( "Insert a size, for for H6 elements (For example, 14px) ",'looki-lite'),
				"id" => "lookilite_h6_font_size",
				"type" => "text",
				"section" => "headlines_section",
				"std" => "14px",

			),
		);
		
		new lookilite_customize($theme_panel);
		
	} 
	
	add_action( 'lookilite_customize_panel', 'lookilite_customize_panel_function', 10, 2 );

}

do_action('lookilite_customize_panel');

?>